Subject: bug#45658: Infinite loop in run loop on macOS

From: Alan Third <[email-masked]>
Date: Sun, 10 Jan 2021 00:01:31 +0000

On Sat, Jan 09, 2021 at 11:21:48PM +0000, Jimmy Yuen Ho Wong wrote:
> Ok I've just reproduced this again, this time simply by opening a file
> in the terminal with emacsclient, in the hope Emacs.app will open it.
> I've switched to the thread running fd_handler (nsterm.m:6100:20
> right?) This is the frame variables:

That all looks pretty much like I'd expect.

Can you check if it ever reaches the end of ns_select? You could
either stick a breakpoint at, say, like 4733 of nsterm.m, or make it
print to the console or whatever.

I suspect that since you're seeing a spinning wheel it's not reaching
the end, but we may as well find out for sure.

You're running macOS 10.15, yes?

Do you use Homebrew or something else?

Does 'emacs -q' also freeze up?
-- 
Alan Third